<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net10.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <PublishReadyToRun>true</PublishReadyToRun>
    <PublishSingleFile>true</PublishSingleFile>
    <SelfContained>true</SelfContained>
    <IncludeNativeLibrariesForSelfExtract>true</IncludeNativeLibrariesForSelfExtract>
    <DebugType>none</DebugType>
    <DebugSymbols>false</DebugSymbols>
  </PropertyGroup>

  <PropertyGroup Condition="'$(EmbeddedApk)' != ''">
    <DefineConstants>$(DefineConstants);EMBEDDED_APK</DefineConstants>
  </PropertyGroup>

  <ItemGroup Condition="'$(EmbeddedApk)' != ''">
    <EmbeddedResource Include="$(EmbeddedApk)">
      <LogicalName>delver.apk</LogicalName>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Data.Sqlite" Version="10.0.2" />
    <PackageReference Include="SharpZipLib" Version="1.4.2" />
    <PackageReference Include="Spectre.Console" Version="0.54.0" />
    <PackageReference Include="System.CommandLine" Version="2.0.2" />
  </ItemGroup>

</Project>
